package com.namasoft.contracts.common.dtos.requests;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlRootElement;

import com.namasoft.common.flatobjects.EntityReferenceData;

@SuppressWarnings("serial")
@XmlRootElement
@XmlAccessorType(XmlAccessType.PROPERTY)
public class TransientCodeRequest extends EntityServiceRequest
{
	private EntityReferenceData autoCoder;
	private String currentCode;

	public TransientCodeRequest()
	{
	}

	public TransientCodeRequest(String entityType, EntityReferenceData autoCoder, String currentCode)
	{
		super(entityType);
		this.currentCode = currentCode;
		this.autoCoder = autoCoder;
	}

	public EntityReferenceData getAutoCoder()
	{
		return autoCoder;
	}

	public void setAutoCoder(EntityReferenceData autoCoder)
	{
		this.autoCoder = autoCoder;
	}

	public String getCurrentCode()
	{
		return currentCode;
	}

	public void setCurrentCode(String currentCode)
	{
		this.currentCode = currentCode;
	}

}
